NewFans API, previously OnlyFans API · A new name. A broader platform.
Fans API
OnlyFansMass Messaging

List Mass Message Queue

List pending, scheduled, and recently sent mass messages. Use an item ID to retrieve, update, reschedule, delete, or unsend the message.

GET
/api/{account}/mass-messaging
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Response Body

application/json

curl -X GET "https://app.fansapi.com/api/acct_XXXXXXXXXXXXXXX/mass-messaging"
{
  "data": [
    {
      "id": 123,
      "date": "2025-01-01T01:01:01+00:00",
      "isReady": true,
      "isDone": false,
      "total": -1,
      "pending": 2,
      "canUnsend": true,
      "unsendSeconds": 1000000,
      "hasError": false,
      "isCanceled": false,
      "isCouplePeopleMedia": false
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 964,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 997,
      "remaining_day": 49989
    }
  }
}